.NET/Restaurante/Controllers/ComidaController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Restaurante.Data;
using Restaurante.Models;

namespace Restaurante.Controllers
{
    public class ComidaController : Controller
    {
        private readonly ApplicationDbContext _context;
        //nuevo
        private readonly IWebHostEnvironment _hostEnvironment;

        public ComidaController(ApplicationDbContext context, IWebHostEnvironment hostEnvironment)
        {
            _context = context;
            _hostEnvironment = hostEnvironment;
        }
        //

        // GET: Comida
        public async Task<IActionResult> Index()
        {
              return _context.Comidas != null ? 
                          View(await _context.Comidas.ToListAsync()) :
                          Problem("Entity set 'ApplicationDbContext.Comidas'  is null.");
        }

        // GET: Comida/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null || _context.Comidas == null)
            {
                return NotFound();
            }

            var comida = await _context.Comidas
                .FirstOrDefaultAsync(m => m.Id == id);
            if (comida == null)
            {
                return NotFound();
            }

            return View(comida);
        }

        // GET: Comida/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Comida/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Nombre,Descripcion,Precio,UrlImagen")] Comida comida)
        {
            if (ModelState.IsValid)
            {
                //nuevo
                string rutaPrincipal = _hostEnvironment.WebRootPath;
                var archivos = HttpContext.Request.Form.Files;
                if(archivos.Count()>0){
                    string nombreArchivo = Guid.NewGuid().ToString();
                    var subidas = Path.Combine(rutaPrincipal,@"imagenes\comida\");
                    var extension = Path.GetExtension(archivos[0].FileName);
                    using(var fileStream = new FileStream(Path.Combine(subidas,nombreArchivo + extension),FileMode.Create)){
                        archivos[0].CopyTo(fileStream);
                    }
                    comida.UrlImagen = @"imagenes\comida\" + nombreArchivo + extension;
                }
                //
                _context.Add(comida);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(comida);
        }

        // GET: Comida/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null || _context.Comidas == null)
            {
                return NotFound();
            }

            var comida = await _context.Comidas.FindAsync(id);
            if (comida == null)
            {
                return NotFound();
            }
            return View(comida);
        }

        // POST: Comida/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Nombre,Descripcion,Precio,UrlImagen")] Comida comida)
        {
            if (id != comida.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    string rutaPrincipal = _hostEnvironment.WebRootPath;
                    var archivos = HttpContext.Request.Form.Files; 
                    if (archivos.Count() > 0)
                    {
                        Comida? comidaBD = await _context.Comidas.FindAsync(id);
                        if (comidaBD != null)
                        {
                            if (comidaBD.UrlImagen != null)
                            {
                                var rutaImgenActual = Path.Combine(rutaPrincipal, comidaBD.UrlImagen);
                                if (System.IO.File.Exists(rutaImgenActual))
                                {
                                    System.IO.File.Delete(rutaImgenActual);
                                }
                            }
                            _context.Entry(comidaBD).State = EntityState.Detached;
                        }  
                        string nombreArchivo = Guid.NewGuid().ToString();
                        var subidas = Path.Combine(rutaPrincipal, @"imagenes\comida\");
                        var extension = Path.GetExtension(archivos[0].FileName);
                        using (var fileStream = new FileStream(Path.Combine(subidas, nombreArchivo + extension), FileMode.Create))
                        {
                            archivos[0].CopyTo(fileStream);
                        }
                        comida.UrlImagen = @"imagenes\comida\" + nombreArchivo + extension;
                        _context.Entry(comida).State = EntityState.Modified;
                    }
                    _context.Update(comida);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!ComidaExists(comida.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(comida);
        }

        // GET: Comida/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null || _context.Comidas == null)
            {
                return NotFound();
            }

            var comida = await _context.Comidas
                .FirstOrDefaultAsync(m => m.Id == id);
            if (comida == null)
            {
                return NotFound();
            }

            return View(comida);
        }

        // POST: Comida/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            if (_context.Comidas == null)
            {
                return Problem("Entity set 'ApplicationDbContext.Comidas'  is null.");
            }
            var comida = await _context.Comidas.FindAsync(id);
            if (comida != null)
            {
                _context.Comidas.Remove(comida);
            }
            
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool ComidaExists(int id)
        {
          return (_context.Comidas?.Any(e => e.Id == id)).GetValueOrDefault();
        }
    }
}

.NET/Restaurante/Controllers/HomeController.cs
using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using Restaurante.Models;
using Restaurante.Data;
using Microsoft.EntityFrameworkCore;

namespace Restaurante.Controllers;

public class HomeController : Controller
{
    private readonly ILogger<HomeController> _logger;
    private readonly ApplicationDbContext _context;

    public HomeController(ILogger<HomeController> logger, ApplicationDbContext context)
    {
        _logger = logger;
        _context = context;
    }

    public async Task<IActionResult> Index()
        {
              return _context.Comidas != null ? 
                          View(await _context.Comidas.ToListAsync()) :
                          Problem("Entity set 'ApplicationDbContext.Comidas'  is null.");
        }

    public async Task<IActionResult> Menu()
        {
              return _context.Entradas != null ? 
                          View(await _context.Entradas.ToListAsync()) :
                          Problem("Entity set 'ApplicationDbContext.Comidas'  is null.");
        }

    

    public IActionResult Privacy()
    {
        return View();
    }

    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Error()
    {
        return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
    }
}

.NET/Restaurante/Views/Home/Index.cshtml
@model IEnumerable<Restaurante.Models.Comida>
@{
    ViewData["Title"] = "Home Page";
}

<div id="carousel" class="carousel slide" data-bs-ride="true">
  <div class="carousel-indicators">
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="2" aria-label="Slide 3"></button>  
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="3" aria-label="Slide 4"></button>  
  </div>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="/imagenes/sliders/im1.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im2.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im3.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im4.jpg" class="d-block w-100" alt="...">
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carousel" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carousel" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>

<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Especialidades</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div> 
</div>

.NET/Restaurante/Views/Home/Menu.cshtml
@model IEnumerable<Restaurante.Models.Entradas>
@{
    ViewData["Title"] = "Home Page";
}

<div id="carousel" class="carousel slide" data-bs-ride="true">
  <div class="carousel-indicators">
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="2" aria-label="Slide 3"></button>  
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="3" aria-label="Slide 4"></button>  
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="4" aria-label="Slide 5"></button>  
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="5" aria-label="Slide 6"></button> 
  </div>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="/imagenes/sliders/im5.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <h1>Menú</h1>
            </div>
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im6.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <p>Tekka Don</p>
            </div>
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im7.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <p>Sushi</p>
            </div>
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im8.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <p>Ikura</p>
            </div>
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im9.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <p>Sashimi</p>
            </div>
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im10.jpg" class="d-block w-100" alt="...">
      <div class="carousel-caption">
                <p>Sake</p>
            </div>
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carousel" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carousel" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>


<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Entradas</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div>
</div>

<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Comidas</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div> 
</div>

<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Postres</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div>
</div>

<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Bebidas</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div>
</div>